ru.bitel.bgbilling.kernel.dynamic.server.event

## Class ScriptSavingEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.dynamic.server.event.ScriptSavingEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ScriptSavingEvent
      extends QueueEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptSavingEvent()`
    `ScriptSavingEvent(java.util.List<java.lang.String> classNames, boolean clearTable)` Создает событие.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getClassNames()` Возвращает список имён классов для перекомпиляции
    `CompilationResult` | `getCompilationResult()` Возвращает результат компиляции
    `boolean` | `isClearTable()` Проверяет установлен ли флаг очистки таблицы
    `void` | `setClassNames(java.util.List<java.lang.String> classNames)` Устанавливает список имён классов для перекомпиляции
    `void` | `setClearTable(boolean clearTable)` Устанавливает флаг необходимости полной очистки таблицы классов
    `void` | `setCompilationResult(CompilationResult result)` Устанавливает результат компиляции

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ScriptSavingEvent

          public ScriptSavingEvent()

    - #### ScriptSavingEvent

          public ScriptSavingEvent(java.util.List<java.lang.String> classNames,
                                   boolean clearTable)

      Создает событие.
      Parameters:
        `classNames` - имена классов для перекомпиляции
        `clearTable` - нужна ли полная очистка таблицы

  - ### Method Detail

    - #### setClassNames

          public void setClassNames(java.util.List<java.lang.String> classNames)

      Устанавливает список имён классов для перекомпиляции
      Parameters:
        `classNames` -

    - #### getClassNames

          public java.util.List<java.lang.String> getClassNames()

      Возвращает список имён классов для перекомпиляции
      Returns:

    - #### setCompilationResult

          public void setCompilationResult(CompilationResult result)

      Устанавливает результат компиляции
      Parameters:
        `result` -

    - #### getCompilationResult

          public CompilationResult getCompilationResult()

      Возвращает результат компиляции
      Returns:

    - #### setClearTable

          public void setClearTable(boolean clearTable)

      Устанавливает флаг необходимости полной очистки таблицы классов
      Parameters:
        `clearTable` -

    - #### isClearTable

          public boolean isClearTable()

      Проверяет установлен ли флаг очистки таблицы
      Returns: